# Generated by Django 3.2.10 on 2022-01-15 19:01

import core.fields
import core.models.events
import core.models.tags
import core.storages
import datetime
from django.apps import apps as global_apps
from django.conf import settings
import django.contrib.auth.models
import django.contrib.auth.validators
import django.contrib.postgres.fields
import django.contrib.postgres.indexes
import django.contrib.postgres.search
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import oauth2_provider.generators
import uuid


class Migration(migrations.Migration):

    replaces = [('core', '0001_initial'), ('core', '0002_conferencemember'), ('core', '0003_tagging'), ('core', '0004_additional_fields'), ('core', '0005_remove_children_and_fsk'), ('core', '0006_additional_fields'), ('core', '0007_rename_stickers_to_badges'), ('core', '0008_platformuser_type'), ('core', '0009_room_blocked'), ('core', '0010_venuelink_venuemember'), ('core', '0011_assemblix_fields'), ('core', '0012_fixed_imagefields'), ('core', '0013_static_pages'), ('core', '0014_favorites'), ('core', '0015_directmessages'), ('core', '0016_personal_calendar'), ('core', '0017_schema_extensions'), ('core', '0018_schema_extensions_data'), ('core', '0019_rename_venue2assembly'), ('core', '0020_conference_timezone'), ('core', '0021_badge_issuing_token'), ('core', '0022_room_backend_infos'), ('core', '0023_DirectMessage_deleted_by'), ('core', '0024_Event_schedule_end'), ('core', '0025_Event_schedule_end_initialize'), ('core', '0026_sso'), ('core', '0027_Badges_unique'), ('core', '0028_conferencemember_permissions'), ('core', '0029_user_receive_audiovideo'), ('core', '0030_conferencememberticket'), ('core', '0031_Badges_image'), ('core', '0032_assemblix_fields'), ('core', '0033_Event_slug1'), ('core', '0034_Event_slug2'), ('core', '0035_Event_slug3'), ('core', '0036_roomlink_non_urls'), ('core', '0037_Room_add_events_backlink'), ('core', '0038_room_director_data'), ('core', '0039_like_counts'), ('core', '0040_room_reserve_capacity'), ('core', '0041_description_html_fields1'), ('core', '0042_description_html_fields2'), ('core', '0043_remove_display_name'), ('core', '0044_platformuser_pronouns'), ('core', '0045_room_reserve_capacity_help_text'), ('core', '0046_additional_fields_for_apis'), ('core', '0047_longer_event_slugs'), ('core', '0048_Platformuser_time_zone'), ('core', '0049_Event_repair_start'), ('core', '0050_Room_is_public_fahrplan'), ('core', '0051_UserBadgesModel'), ('core', '0052_UserBadgeVisibility'), ('core', '0053_UserBadgeRemoveHiddenField'), ('core', '0054_UserBadgeGrammar'), ('core', '0055_dm_restrictions'), ('core', '0056_backoffice_users_perms'), ('core', '0057_platformuser_admin_notification'), ('core', '0058_conference_global_notification'), ('core', '0059_oauth_toolkit_application_upgrade'), ('core', '0060a_alter_eventparticipant_id'), ('core', '0060b_alter_eventparticipant_id'), ('core', '0060c_alter_eventparticipant_id'), ('core', '0061_schedulesources'), ('core', '0062_wa_session'), ('core', '0063a_assembly_multistate'), ('core', '0063b_assembly_multistate'), ('core', '0063c_assembly_multistate'), ('core', '0064_conference_disclaimers'), ('core', '0065_additional_room_backend_fields'), ('core', '0066_AddedSlugField2Users'), ('core', '0067_PlatformUser_slug_initialization'), ('core', '0068_PlatformUser_uuid'), ('core', '0069_PlatformUser_indices'), ('core', '0070_room_slug'), ('core', '0071_room_slug2'), ('core', '0072_room_slug3'), ('core', '0073_alter_room_assembly'), ('core', '0074_channel_team_permission'), ('core', '0075_event_abstract'), ('core', '0076_platformuser_theme'), ('core', '0077_alter_schedulesourceimport_state'), ('core', '0078_workadventuretexture'), ('core', '0079_room_is_official'), ('core', '0080_event_sos'), ('core', '0081_dereferrerstats_userdereferrerallowlist'), ('core', '0082_conferencemember_conferencemember_user_conference_unique'), ('core', '0083_platformuser__wa_prefs'), ('core', '0084_bulletinboardentry')]
    if global_apps.is_installed('api'):
        replaces.extend([('api', '0001_initial'), ('api', '0002_rename_stickers_to_badges'), ('api', '0003_delete_badgetoken'), ('api', '0004_move_roomlinkuserid_to_core')])
    if global_apps.is_installed('plainui'):
        replaces.extend([('plainui', '0001_BulletinBoardEntry'), ('plainui', '0002_bulletinboardentry_hidden'), ('plainui', '0003_move_bulletinboardentry_to_core')])

    initial = True

    dependencies = [
        ('contenttypes', '0002_remove_content_type_name'),
        ('auth', '0012_alter_user_first_name_max_length'),
    ]

    operations = [
        migrations.CreateModel(
            name='PlatformUser',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('password', models.CharField(max_length=128, verbose_name='password')),
                ('last_login', models.DateTimeField(blank=True, null=True, verbose_name='last login')),
                ('is_superuser', models.BooleanField(default=False, help_text='Designates that this user has all permissions without explicitly assigning them.', verbose_name='superuser status')),
                ('username', models.CharField(error_messages={'unique': 'A user with that username already exists.'}, help_text='Required. 150 characters or fewer. Letters, digits and @/./+/-/_ only.', max_length=150, unique=True, validators=[django.contrib.auth.validators.UnicodeUsernameValidator()], verbose_name='username')),
                ('first_name', models.CharField(blank=True, max_length=150, verbose_name='first name')),
                ('last_name', models.CharField(blank=True, max_length=150, verbose_name='last name')),
                ('email', models.EmailField(blank=True, max_length=254, verbose_name='email address')),
                ('is_staff', models.BooleanField(default=False, help_text='Designates whether the user can log into this admin site.', verbose_name='staff status')),
                ('is_active', models.BooleanField(default=True, help_text='Designates whether this user should be treated as active. Unselect this instead of deleting accounts.', verbose_name='active')),
                ('date_joined', models.DateTimeField(default=django.utils.timezone.now, verbose_name='date joined')),
                ('user_type', models.CharField(choices=[('human', 'PlatformUser__type-human'), ('service', 'PlatformUser__type-service'), ('assembly', 'PlatformUser__type-assembly'), ('bot', 'PlatformUser__type-bot')], default='human', help_text='PlatformUser__type__help', max_length=10, verbose_name='PlatformUser__type')),
                ('uuid', models.UUIDField(default=uuid.uuid4, unique=True)),
                ('slug', models.SlugField(unique=True)),
                ('accepted_speakersagreement', models.BooleanField(help_text='PlatformUser__accepted_speakersagreement__help', null=True, verbose_name='PlatformUser__accepted_speakersagreement')),
                ('show_name', models.BooleanField(help_text='PlatformUser__show_name__help', null=True, verbose_name='PlatformUser__show_name')),
                ('avatar_url', models.URLField(blank=True, help_text='PlatformUser__avatar_url__help', null=True, verbose_name='PlatformUser__avatar_url')),
                ('avatar_config', models.JSONField(blank=True, help_text='PlatformUser__avatar_config__help', null=True, verbose_name='PlatformUser__avatar_config')),
                ('pronouns', models.CharField(blank=True, default='', help_text='PlatformUser__pronouns__help', max_length=50, verbose_name='PlatformUser__pronouns')),
                ('description', models.TextField(blank=True, help_text='PlatformUser__description__help', null=True, verbose_name='PlatformUser__description')),
                ('description_html', models.TextField(blank=True, null=True)),
                ('status', models.CharField(blank=True, help_text='PlatformUser__status__help', max_length=50, null=True, verbose_name='PlatformUser__status')),
                ('status_public', models.BooleanField(help_text='PlatformUser__status_public__help', null=True, verbose_name='PlatformUser__status_public')),
                ('time_zone', models.CharField(default='Europe/Berlin', help_text='PlatformUser__timezone__help', max_length=63, verbose_name='PlatformUser__timezone')),
                ('no_animations', models.BooleanField(default=False, help_text='PlatformUser__no_animations__help', verbose_name='PlatformUser__no_animations')),
                ('colorblind', models.BooleanField(default=False, help_text='PlatformUser__colorblind__help', verbose_name='PlatformUser__colorblind')),
                ('high_contrast', models.BooleanField(default=False, help_text='PlatformUser__high_contrast__help', verbose_name='PlatformUser__high_contrast')),
                ('tag_ignorelist', django.contrib.postgres.fields.ArrayField(base_field=models.SlugField(), blank=True, default=list, help_text='PlatformUser__tag_ignorelist__help', size=None, verbose_name='PlatformUser__tag_ignorelist')),
                ('theme', models.CharField(choices=[('distractfree', 'PlatformUser__theme-distractfree'), ('distractfree_nobg', 'PlatformUser__theme-distractfree-nobg'), ('default', 'PlatformUser__theme-default'), ('full', 'PlatformUser__theme-full')], default='default', help_text='PlatformUser__theme__help', max_length=50, verbose_name='PlatformUser__theme')),
                ('receive_dms', models.BooleanField(default=True, help_text='PlatformUser__receive_dms__help', verbose_name='PlatformUser__receive_dms')),
                ('receive_dm_images', models.BooleanField(default=False, help_text='PlatformUser__receive_dm_images__help', verbose_name='PlatformUser__receive_dm_images')),
                ('receive_audio', models.BooleanField(default=True, help_text='PlatformUser__receive_audio__help', verbose_name='PlatformUser__receive_audio')),
                ('receive_video', models.BooleanField(default=True, help_text='PlatformUser__receive_video__help', verbose_name='PlatformUser__receive_video')),
                ('shadow_banned', models.BooleanField(default=False, help_text='PlatformUser__shadow_banned__help', verbose_name='PlatformUser__shadow_banned')),
                ('admin_notification', models.TextField(blank=True, default='', help_text='PlatformUser__admin_notification__help', verbose_name='PlatformUser__admin_notification')),
                ('audio_muted', models.BooleanField(default=False)),
                ('audio_volume', models.FloatField(blank=True, null=True)),
                ('autoaccept_contacts', models.BooleanField(default=False, help_text='PlatformUser__autoaccept_contacts__help', verbose_name='PlatformUser__autoaccept_contacts')),
                ('is_searchable', models.BooleanField(default=False, help_text='PlatformUser__is_searchable__help', verbose_name='PlatformUser__is_searchable')),
                ('menu', models.JSONField(blank=True, default=dict, help_text='PlatformUser__menu__help', verbose_name='PlatformUser__menu')),
                ('wa_block_external_content', models.BooleanField(default=False, help_text='PlatformUser__wa_block_external_content__help', verbose_name='PlatformUser__wa_block_external_content')),
                ('wa_block_ambient_sounds', models.BooleanField(default=False, help_text='PlatformUser__wa_block_ambient_sounds__help', verbose_name='PlatformUser__wa_block_ambient_sounds')),
                ('wa_ignore_follow_requests', models.BooleanField(default=False, help_text='PlatformUser__wa_ignore_follow_requests__help', verbose_name='PlatformUser__wa_ignore_follow_requests')),
                ('wa_force_website_trigger', models.BooleanField(default=False, help_text='PlatformUser__wa_force_website_trigger__help', verbose_name='PlatformUser__wa_force_website_trigger')),
                ('groups', models.ManyToManyField(blank=True, help_text='The groups this user belongs to. A user will get all permissions granted to each of their groups.', related_name='user_set', related_query_name='user', to='auth.Group', verbose_name='groups')),
                ('user_permissions', models.ManyToManyField(blank=True, help_text='Specific permissions for this user.', related_name='user_set', related_query_name='user', to='auth.Permission', verbose_name='user permissions')),
            ],
            options={
                'verbose_name': 'user',
                'verbose_name_plural': 'users',
                'abstract': False,
            },
            managers=[
                ('objects', django.contrib.auth.models.UserManager()),
            ],
        ),
        migrations.CreateModel(
            name='Assembly',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('slug', models.SlugField(help_text='Assembly__slug__help', verbose_name='Assembly__slug')),
                ('name', models.CharField(help_text='Assembly__name__help', max_length=200, verbose_name='Assembly__name')),
                ('is_official', models.BooleanField(default=False, help_text='Assembly__is_official__help', verbose_name='Assembly__is_official')),
                ('banner_image_height', models.PositiveIntegerField(blank=True, null=True)),
                ('banner_image_width', models.PositiveIntegerField(blank=True, null=True)),
                ('banner_image', models.ImageField(blank=True, height_field='banner_image_height', help_text='Assembly__banner_image__help', null=True, storage=core.storages.select_storage, upload_to='', verbose_name='Assembly__banner_image', width_field='banner_image_width')),
                ('description', models.TextField(blank=True, help_text='Assembly__description__help', null=True, verbose_name='Assembly__description')),
                ('description_html', models.TextField(blank=True, null=True)),
                ('registration_details', models.TextField(blank=True, help_text='Assembly__registration_details__help', null=True, verbose_name='Assembly__registration_details')),
                ('internal_comment', models.TextField(blank=True, help_text='Assembly__internal_comment__help', null=True, verbose_name='Assembly__internal_comment')),
                ('registration_data', models.JSONField(blank=True, help_text='Assembly__registration_data__help', null=True, verbose_name='Assembly__registration_data')),
                ('state_assembly', models.CharField(choices=[('none', 'Assembly__state-none'), ('planned', 'Assembly__state-planned'), ('registered', 'Assembly__state-registered'), ('hidden', 'Assembly__state-hidden'), ('accepted', 'Assembly__state-accepted'), ('rejected', 'Assembly__state-rejected'), ('placed', 'Assembly__state-placed'), ('arrived', 'Assembly__state-arrived_self'), ('confirmed', 'Assembly__state-arrived_confirmed')], default='none', help_text='Assembly__state_assembly__help', max_length=20, verbose_name='Assembly__state_assembly')),
                ('state_channel', models.CharField(choices=[('none', 'Assembly__state-none'), ('planned', 'Assembly__state-planned'), ('registered', 'Assembly__state-registered'), ('hidden', 'Assembly__state-hidden'), ('accepted', 'Assembly__state-accepted'), ('rejected', 'Assembly__state-rejected'), ('placed', 'Assembly__state-placed'), ('arrived', 'Assembly__state-arrived_self'), ('confirmed', 'Assembly__state-arrived_confirmed')], default='none', help_text='Assembly__state_channel__help', max_length=20, verbose_name='Assembly__state_channel')),
                ('hierarchy', models.CharField(choices=[('regular', 'Assembly__hierarchy-regular'), ('cluster', 'Assembly__hierarchy-cluster'), ('clusterrestricted', 'Assembly__hierarchy-clusterrestricted')], default='regular', help_text='Assembly__hierarchy__help', max_length=20, verbose_name='Assembly__hierarchy')),
                ('is_virtual', models.BooleanField(blank=True, help_text='Assembly__is_virtual__help', null=True, verbose_name='Assembly__is_virtual')),
                ('is_physical', models.BooleanField(blank=True, help_text='Assembly__is_physical__help', null=True, verbose_name='Assembly__is_physical')),
                ('is_remote', models.BooleanField(blank=True, help_text='Assembly__is_remote__help', null=True, verbose_name='Assembly__is_remote')),
                ('assembly_location', models.TextField(blank=True, help_text='Assembly__location__help', null=True, verbose_name='Assembly__location')),
                ('assembly_link', models.URLField(blank=True, help_text='Assembly__link__help', null=True, verbose_name='Assembly__link')),
                ('public_contact', models.EmailField(blank=True, help_text='Assembly__public_contact__help', max_length=254, null=True, verbose_name='Assembly__public_contact')),
                ('created', models.DateTimeField(auto_now_add=True, help_text='Assembly__created__help', verbose_name='Assembly__created')),
                ('last_update_assembly', models.DateTimeField(blank=True, help_text='Assembly__last_update_assembly__help', null=True, verbose_name='Assembly__last_update_assembly')),
                ('last_update_staff', models.DateTimeField(blank=True, help_text='Assembly__last_update_staff__help', null=True, verbose_name='Assembly__last_update_staff')),
            ],
            options={
                'verbose_name': 'Assembly',
                'verbose_name_plural': 'Assemblys',
            },
            bases=(core.models.tags.TaggedItemMixin, models.Model),
        ),
        migrations.CreateModel(
            name='Badge',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(help_text='Badge__name__help', max_length=100, verbose_name='Badge__name')),
                ('show_public', models.BooleanField(default=True, help_text='Badge__show_public__help', verbose_name='Badge__show_public')),
                ('is_achievement', models.BooleanField(default=False, help_text='Badge__is_achievement__help', verbose_name='Badge__is_achievement')),
                ('image_height', models.PositiveIntegerField(blank=True, null=True)),
                ('image_width', models.PositiveIntegerField(blank=True, null=True)),
                ('image', models.ImageField(blank=True, height_field='image_height', help_text='Badge__image__help', null=True, storage=core.storages.select_storage, upload_to='', verbose_name='Badge__image', width_field='image_width')),
                ('issuing_token', models.CharField(max_length=100)),
            ],
        ),
        migrations.CreateModel(
            name='Conference',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('slug', models.SlugField(help_text='Conference__slug__help', unique=True, verbose_name='Conference__slug')),
                ('name', models.CharField(help_text='Conference__name__help', max_length=200, verbose_name='Conference__name')),
                ('is_public', models.BooleanField(default=False, help_text='Conference__is_public__help', verbose_name='Conference__is_public')),
                ('registration_deadline', models.DateTimeField(blank=True, help_text='Conference__registration_deadline__help', null=True, verbose_name='Conference__registration_deadline')),
                ('start', models.DateTimeField(blank=True, help_text='Conference__start__help', null=True, verbose_name='Conference__start')),
                ('end', models.DateTimeField(blank=True, help_text='Conference__end__help', null=True, verbose_name='Conference__end')),
                ('timezone', models.CharField(choices=[('Africa/Abidjan', 'Africa/Abidjan'), ('Africa/Accra', 'Africa/Accra'), ('Africa/Addis_Ababa', 'Africa/Addis_Ababa'), ('Africa/Algiers', 'Africa/Algiers'), ('Africa/Asmara', 'Africa/Asmara'), ('Africa/Bamako', 'Africa/Bamako'), ('Africa/Bangui', 'Africa/Bangui'), ('Africa/Banjul', 'Africa/Banjul'), ('Africa/Bissau', 'Africa/Bissau'), ('Africa/Blantyre', 'Africa/Blantyre'), ('Africa/Brazzaville', 'Africa/Brazzaville'), ('Africa/Bujumbura', 'Africa/Bujumbura'), ('Africa/Cairo', 'Africa/Cairo'), ('Africa/Casablanca', 'Africa/Casablanca'), ('Africa/Ceuta', 'Africa/Ceuta'), ('Africa/Conakry', 'Africa/Conakry'), ('Africa/Dakar', 'Africa/Dakar'), ('Africa/Dar_es_Salaam', 'Africa/Dar_es_Salaam'), ('Africa/Djibouti', 'Africa/Djibouti'), ('Africa/Douala', 'Africa/Douala'), ('Africa/El_Aaiun', 'Africa/El_Aaiun'), ('Africa/Freetown', 'Africa/Freetown'), ('Africa/Gaborone', 'Africa/Gaborone'), ('Africa/Harare', 'Africa/Harare'), ('Africa/Johannesburg', 'Africa/Johannesburg'), ('Africa/Juba', 'Africa/Juba'), ('Africa/Kampala', 'Africa/Kampala'), ('Africa/Khartoum', 'Africa/Khartoum'), ('Africa/Kigali', 'Africa/Kigali'), ('Africa/Kinshasa', 'Africa/Kinshasa'), ('Africa/Lagos', 'Africa/Lagos'), ('Africa/Libreville', 'Africa/Libreville'), ('Africa/Lome', 'Africa/Lome'), ('Africa/Luanda', 'Africa/Luanda'), ('Africa/Lubumbashi', 'Africa/Lubumbashi'), ('Africa/Lusaka', 'Africa/Lusaka'), ('Africa/Malabo', 'Africa/Malabo'), ('Africa/Maputo', 'Africa/Maputo'), ('Africa/Maseru', 'Africa/Maseru'), ('Africa/Mbabane', 'Africa/Mbabane'), ('Africa/Mogadishu', 'Africa/Mogadishu'), ('Africa/Monrovia', 'Africa/Monrovia'), ('Africa/Nairobi', 'Africa/Nairobi'), ('Africa/Ndjamena', 'Africa/Ndjamena'), ('Africa/Niamey', 'Africa/Niamey'), ('Africa/Nouakchott', 'Africa/Nouakchott'), ('Africa/Ouagadougou', 'Africa/Ouagadougou'), ('Africa/Porto-Novo', 'Africa/Porto-Novo'), ('Africa/Sao_Tome', 'Africa/Sao_Tome'), ('Africa/Tripoli', 'Africa/Tripoli'), ('Africa/Tunis', 'Africa/Tunis'), ('Africa/Windhoek', 'Africa/Windhoek'), ('America/Adak', 'America/Adak'), ('America/Anchorage', 'America/Anchorage'), ('America/Anguilla', 'America/Anguilla'), ('America/Antigua', 'America/Antigua'), ('America/Araguaina', 'America/Araguaina'), ('America/Argentina/Buenos_Aires', 'America/Argentina/Buenos_Aires'), ('America/Argentina/Catamarca', 'America/Argentina/Catamarca'), ('America/Argentina/Cordoba', 'America/Argentina/Cordoba'), ('America/Argentina/Jujuy', 'America/Argentina/Jujuy'), ('America/Argentina/La_Rioja', 'America/Argentina/La_Rioja'), ('America/Argentina/Mendoza', 'America/Argentina/Mendoza'), ('America/Argentina/Rio_Gallegos', 'America/Argentina/Rio_Gallegos'), ('America/Argentina/Salta', 'America/Argentina/Salta'), ('America/Argentina/San_Juan', 'America/Argentina/San_Juan'), ('America/Argentina/San_Luis', 'America/Argentina/San_Luis'), ('America/Argentina/Tucuman', 'America/Argentina/Tucuman'), ('America/Argentina/Ushuaia', 'America/Argentina/Ushuaia'), ('America/Aruba', 'America/Aruba'), ('America/Asuncion', 'America/Asuncion'), ('America/Atikokan', 'America/Atikokan'), ('America/Bahia', 'America/Bahia'), ('America/Bahia_Banderas', 'America/Bahia_Banderas'), ('America/Barbados', 'America/Barbados'), ('America/Belem', 'America/Belem'), ('America/Belize', 'America/Belize'), ('America/Blanc-Sablon', 'America/Blanc-Sablon'), ('America/Boa_Vista', 'America/Boa_Vista'), ('America/Bogota', 'America/Bogota'), ('America/Boise', 'America/Boise'), ('America/Cambridge_Bay', 'America/Cambridge_Bay'), ('America/Campo_Grande', 'America/Campo_Grande'), ('America/Cancun', 'America/Cancun'), ('America/Caracas', 'America/Caracas'), ('America/Cayenne', 'America/Cayenne'), ('America/Cayman', 'America/Cayman'), ('America/Chicago', 'America/Chicago'), ('America/Chihuahua', 'America/Chihuahua'), ('America/Costa_Rica', 'America/Costa_Rica'), ('America/Creston', 'America/Creston'), ('America/Cuiaba', 'America/Cuiaba'), ('America/Curacao', 'America/Curacao'), ('America/Danmarkshavn', 'America/Danmarkshavn'), ('America/Dawson', 'America/Dawson'), ('America/Dawson_Creek', 'America/Dawson_Creek'), ('America/Denver', 'America/Denver'), ('America/Detroit', 'America/Detroit'), ('America/Dominica', 'America/Dominica'), ('America/Edmonton', 'America/Edmonton'), ('America/Eirunepe', 'America/Eirunepe'), ('America/El_Salvador', 'America/El_Salvador'), ('America/Fort_Nelson', 'America/Fort_Nelson'), ('America/Fortaleza', 'America/Fortaleza'), ('America/Glace_Bay', 'America/Glace_Bay'), ('America/Goose_Bay', 'America/Goose_Bay'), ('America/Grand_Turk', 'America/Grand_Turk'), ('America/Grenada', 'America/Grenada'), ('America/Guadeloupe', 'America/Guadeloupe'), ('America/Guatemala', 'America/Guatemala'), ('America/Guayaquil', 'America/Guayaquil'), ('America/Guyana', 'America/Guyana'), ('America/Halifax', 'America/Halifax'), ('America/Havana', 'America/Havana'), ('America/Hermosillo', 'America/Hermosillo'), ('America/Indiana/Indianapolis', 'America/Indiana/Indianapolis'), ('America/Indiana/Knox', 'America/Indiana/Knox'), ('America/Indiana/Marengo', 'America/Indiana/Marengo'), ('America/Indiana/Petersburg', 'America/Indiana/Petersburg'), ('America/Indiana/Tell_City', 'America/Indiana/Tell_City'), ('America/Indiana/Vevay', 'America/Indiana/Vevay'), ('America/Indiana/Vincennes', 'America/Indiana/Vincennes'), ('America/Indiana/Winamac', 'America/Indiana/Winamac'), ('America/Inuvik', 'America/Inuvik'), ('America/Iqaluit', 'America/Iqaluit'), ('America/Jamaica', 'America/Jamaica'), ('America/Juneau', 'America/Juneau'), ('America/Kentucky/Louisville', 'America/Kentucky/Louisville'), ('America/Kentucky/Monticello', 'America/Kentucky/Monticello'), ('America/Kralendijk', 'America/Kralendijk'), ('America/La_Paz', 'America/La_Paz'), ('America/Lima', 'America/Lima'), ('America/Los_Angeles', 'America/Los_Angeles'), ('America/Lower_Princes', 'America/Lower_Princes'), ('America/Maceio', 'America/Maceio'), ('America/Managua', 'America/Managua'), ('America/Manaus', 'America/Manaus'), ('America/Marigot', 'America/Marigot'), ('America/Martinique', 'America/Martinique'), ('America/Matamoros', 'America/Matamoros'), ('America/Mazatlan', 'America/Mazatlan'), ('America/Menominee', 'America/Menominee'), ('America/Merida', 'America/Merida'), ('America/Metlakatla', 'America/Metlakatla'), ('America/Mexico_City', 'America/Mexico_City'), ('America/Miquelon', 'America/Miquelon'), ('America/Moncton', 'America/Moncton'), ('America/Monterrey', 'America/Monterrey'), ('America/Montevideo', 'America/Montevideo'), ('America/Montserrat', 'America/Montserrat'), ('America/Nassau', 'America/Nassau'), ('America/New_York', 'America/New_York'), ('America/Nipigon', 'America/Nipigon'), ('America/Nome', 'America/Nome'), ('America/Noronha', 'America/Noronha'), ('America/North_Dakota/Beulah', 'America/North_Dakota/Beulah'), ('America/North_Dakota/Center', 'America/North_Dakota/Center'), ('America/North_Dakota/New_Salem', 'America/North_Dakota/New_Salem'), ('America/Nuuk', 'America/Nuuk'), ('America/Ojinaga', 'America/Ojinaga'), ('America/Panama', 'America/Panama'), ('America/Pangnirtung', 'America/Pangnirtung'), ('America/Paramaribo', 'America/Paramaribo'), ('America/Phoenix', 'America/Phoenix'), ('America/Port-au-Prince', 'America/Port-au-Prince'), ('America/Port_of_Spain', 'America/Port_of_Spain'), ('America/Porto_Velho', 'America/Porto_Velho'), ('America/Puerto_Rico', 'America/Puerto_Rico'), ('America/Punta_Arenas', 'America/Punta_Arenas'), ('America/Rainy_River', 'America/Rainy_River'), ('America/Rankin_Inlet', 'America/Rankin_Inlet'), ('America/Recife', 'America/Recife'), ('America/Regina', 'America/Regina'), ('America/Resolute', 'America/Resolute'), ('America/Rio_Branco', 'America/Rio_Branco'), ('America/Santarem', 'America/Santarem'), ('America/Santiago', 'America/Santiago'), ('America/Santo_Domingo', 'America/Santo_Domingo'), ('America/Sao_Paulo', 'America/Sao_Paulo'), ('America/Scoresbysund', 'America/Scoresbysund'), ('America/Sitka', 'America/Sitka'), ('America/St_Barthelemy', 'America/St_Barthelemy'), ('America/St_Johns', 'America/St_Johns'), ('America/St_Kitts', 'America/St_Kitts'), ('America/St_Lucia', 'America/St_Lucia'), ('America/St_Thomas', 'America/St_Thomas'), ('America/St_Vincent', 'America/St_Vincent'), ('America/Swift_Current', 'America/Swift_Current'), ('America/Tegucigalpa', 'America/Tegucigalpa'), ('America/Thule', 'America/Thule'), ('America/Thunder_Bay', 'America/Thunder_Bay'), ('America/Tijuana', 'America/Tijuana'), ('America/Toronto', 'America/Toronto'), ('America/Tortola', 'America/Tortola'), ('America/Vancouver', 'America/Vancouver'), ('America/Whitehorse', 'America/Whitehorse'), ('America/Winnipeg', 'America/Winnipeg'), ('America/Yakutat', 'America/Yakutat'), ('America/Yellowknife', 'America/Yellowknife'), ('Antarctica/Casey', 'Antarctica/Casey'), ('Antarctica/Davis', 'Antarctica/Davis'), ('Antarctica/DumontDUrville', 'Antarctica/DumontDUrville'), ('Antarctica/Macquarie', 'Antarctica/Macquarie'), ('Antarctica/Mawson', 'Antarctica/Mawson'), ('Antarctica/McMurdo', 'Antarctica/McMurdo'), ('Antarctica/Palmer', 'Antarctica/Palmer'), ('Antarctica/Rothera', 'Antarctica/Rothera'), ('Antarctica/Syowa', 'Antarctica/Syowa'), ('Antarctica/Troll', 'Antarctica/Troll'), ('Antarctica/Vostok', 'Antarctica/Vostok'), ('Arctic/Longyearbyen', 'Arctic/Longyearbyen'), ('Asia/Aden', 'Asia/Aden'), ('Asia/Almaty', 'Asia/Almaty'), ('Asia/Amman', 'Asia/Amman'), ('Asia/Anadyr', 'Asia/Anadyr'), ('Asia/Aqtau', 'Asia/Aqtau'), ('Asia/Aqtobe', 'Asia/Aqtobe'), ('Asia/Ashgabat', 'Asia/Ashgabat'), ('Asia/Atyrau', 'Asia/Atyrau'), ('Asia/Baghdad', 'Asia/Baghdad'), ('Asia/Bahrain', 'Asia/Bahrain'), ('Asia/Baku', 'Asia/Baku'), ('Asia/Bangkok', 'Asia/Bangkok'), ('Asia/Barnaul', 'Asia/Barnaul'), ('Asia/Beirut', 'Asia/Beirut'), ('Asia/Bishkek', 'Asia/Bishkek'), ('Asia/Brunei', 'Asia/Brunei'), ('Asia/Chita', 'Asia/Chita'), ('Asia/Choibalsan', 'Asia/Choibalsan'), ('Asia/Colombo', 'Asia/Colombo'), ('Asia/Damascus', 'Asia/Damascus'), ('Asia/Dhaka', 'Asia/Dhaka'), ('Asia/Dili', 'Asia/Dili'), ('Asia/Dubai', 'Asia/Dubai'), ('Asia/Dushanbe', 'Asia/Dushanbe'), ('Asia/Famagusta', 'Asia/Famagusta'), ('Asia/Gaza', 'Asia/Gaza'), ('Asia/Hebron', 'Asia/Hebron'), ('Asia/Ho_Chi_Minh', 'Asia/Ho_Chi_Minh'), ('Asia/Hong_Kong', 'Asia/Hong_Kong'), ('Asia/Hovd', 'Asia/Hovd'), ('Asia/Irkutsk', 'Asia/Irkutsk'), ('Asia/Jakarta', 'Asia/Jakarta'), ('Asia/Jayapura', 'Asia/Jayapura'), ('Asia/Jerusalem', 'Asia/Jerusalem'), ('Asia/Kabul', 'Asia/Kabul'), ('Asia/Kamchatka', 'Asia/Kamchatka'), ('Asia/Karachi', 'Asia/Karachi'), ('Asia/Kathmandu', 'Asia/Kathmandu'), ('Asia/Khandyga', 'Asia/Khandyga'), ('Asia/Kolkata', 'Asia/Kolkata'), ('Asia/Krasnoyarsk', 'Asia/Krasnoyarsk'), ('Asia/Kuala_Lumpur', 'Asia/Kuala_Lumpur'), ('Asia/Kuching', 'Asia/Kuching'), ('Asia/Kuwait', 'Asia/Kuwait'), ('Asia/Macau', 'Asia/Macau'), ('Asia/Magadan', 'Asia/Magadan'), ('Asia/Makassar', 'Asia/Makassar'), ('Asia/Manila', 'Asia/Manila'), ('Asia/Muscat', 'Asia/Muscat'), ('Asia/Nicosia', 'Asia/Nicosia'), ('Asia/Novokuznetsk', 'Asia/Novokuznetsk'), ('Asia/Novosibirsk', 'Asia/Novosibirsk'), ('Asia/Omsk', 'Asia/Omsk'), ('Asia/Oral', 'Asia/Oral'), ('Asia/Phnom_Penh', 'Asia/Phnom_Penh'), ('Asia/Pontianak', 'Asia/Pontianak'), ('Asia/Pyongyang', 'Asia/Pyongyang'), ('Asia/Qatar', 'Asia/Qatar'), ('Asia/Qostanay', 'Asia/Qostanay'), ('Asia/Qyzylorda', 'Asia/Qyzylorda'), ('Asia/Riyadh', 'Asia/Riyadh'), ('Asia/Sakhalin', 'Asia/Sakhalin'), ('Asia/Samarkand', 'Asia/Samarkand'), ('Asia/Seoul', 'Asia/Seoul'), ('Asia/Shanghai', 'Asia/Shanghai'), ('Asia/Singapore', 'Asia/Singapore'), ('Asia/Srednekolymsk', 'Asia/Srednekolymsk'), ('Asia/Taipei', 'Asia/Taipei'), ('Asia/Tashkent', 'Asia/Tashkent'), ('Asia/Tbilisi', 'Asia/Tbilisi'), ('Asia/Tehran', 'Asia/Tehran'), ('Asia/Thimphu', 'Asia/Thimphu'), ('Asia/Tokyo', 'Asia/Tokyo'), ('Asia/Tomsk', 'Asia/Tomsk'), ('Asia/Ulaanbaatar', 'Asia/Ulaanbaatar'), ('Asia/Urumqi', 'Asia/Urumqi'), ('Asia/Ust-Nera', 'Asia/Ust-Nera'), ('Asia/Vientiane', 'Asia/Vientiane'), ('Asia/Vladivostok', 'Asia/Vladivostok'), ('Asia/Yakutsk', 'Asia/Yakutsk'), ('Asia/Yangon', 'Asia/Yangon'), ('Asia/Yekaterinburg', 'Asia/Yekaterinburg'), ('Asia/Yerevan', 'Asia/Yerevan'), ('Atlantic/Azores', 'Atlantic/Azores'), ('Atlantic/Bermuda', 'Atlantic/Bermuda'), ('Atlantic/Canary', 'Atlantic/Canary'), ('Atlantic/Cape_Verde', 'Atlantic/Cape_Verde'), ('Atlantic/Faroe', 'Atlantic/Faroe'), ('Atlantic/Madeira', 'Atlantic/Madeira'), ('Atlantic/Reykjavik', 'Atlantic/Reykjavik'), ('Atlantic/South_Georgia', 'Atlantic/South_Georgia'), ('Atlantic/St_Helena', 'Atlantic/St_Helena'), ('Atlantic/Stanley', 'Atlantic/Stanley'), ('Australia/Adelaide', 'Australia/Adelaide'), ('Australia/Brisbane', 'Australia/Brisbane'), ('Australia/Broken_Hill', 'Australia/Broken_Hill'), ('Australia/Darwin', 'Australia/Darwin'), ('Australia/Eucla', 'Australia/Eucla'), ('Australia/Hobart', 'Australia/Hobart'), ('Australia/Lindeman', 'Australia/Lindeman'), ('Australia/Lord_Howe', 'Australia/Lord_Howe'), ('Australia/Melbourne', 'Australia/Melbourne'), ('Australia/Perth', 'Australia/Perth'), ('Australia/Sydney', 'Australia/Sydney'), ('Canada/Atlantic', 'Canada/Atlantic'), ('Canada/Central', 'Canada/Central'), ('Canada/Eastern', 'Canada/Eastern'), ('Canada/Mountain', 'Canada/Mountain'), ('Canada/Newfoundland', 'Canada/Newfoundland'), ('Canada/Pacific', 'Canada/Pacific'), ('Europe/Amsterdam', 'Europe/Amsterdam'), ('Europe/Andorra', 'Europe/Andorra'), ('Europe/Astrakhan', 'Europe/Astrakhan'), ('Europe/Athens', 'Europe/Athens'), ('Europe/Belgrade', 'Europe/Belgrade'), ('Europe/Berlin', 'Europe/Berlin'), ('Europe/Bratislava', 'Europe/Bratislava'), ('Europe/Brussels', 'Europe/Brussels'), ('Europe/Bucharest', 'Europe/Bucharest'), ('Europe/Budapest', 'Europe/Budapest'), ('Europe/Busingen', 'Europe/Busingen'), ('Europe/Chisinau', 'Europe/Chisinau'), ('Europe/Copenhagen', 'Europe/Copenhagen'), ('Europe/Dublin', 'Europe/Dublin'), ('Europe/Gibraltar', 'Europe/Gibraltar'), ('Europe/Guernsey', 'Europe/Guernsey'), ('Europe/Helsinki', 'Europe/Helsinki'), ('Europe/Isle_of_Man', 'Europe/Isle_of_Man'), ('Europe/Istanbul', 'Europe/Istanbul'), ('Europe/Jersey', 'Europe/Jersey'), ('Europe/Kaliningrad', 'Europe/Kaliningrad'), ('Europe/Kiev', 'Europe/Kiev'), ('Europe/Kirov', 'Europe/Kirov'), ('Europe/Lisbon', 'Europe/Lisbon'), ('Europe/Ljubljana', 'Europe/Ljubljana'), ('Europe/London', 'Europe/London'), ('Europe/Luxembourg', 'Europe/Luxembourg'), ('Europe/Madrid', 'Europe/Madrid'), ('Europe/Malta', 'Europe/Malta'), ('Europe/Mariehamn', 'Europe/Mariehamn'), ('Europe/Minsk', 'Europe/Minsk'), ('Europe/Monaco', 'Europe/Monaco'), ('Europe/Moscow', 'Europe/Moscow'), ('Europe/Oslo', 'Europe/Oslo'), ('Europe/Paris', 'Europe/Paris'), ('Europe/Podgorica', 'Europe/Podgorica'), ('Europe/Prague', 'Europe/Prague'), ('Europe/Riga', 'Europe/Riga'), ('Europe/Rome', 'Europe/Rome'), ('Europe/Samara', 'Europe/Samara'), ('Europe/San_Marino', 'Europe/San_Marino'), ('Europe/Sarajevo', 'Europe/Sarajevo'), ('Europe/Saratov', 'Europe/Saratov'), ('Europe/Simferopol', 'Europe/Simferopol'), ('Europe/Skopje', 'Europe/Skopje'), ('Europe/Sofia', 'Europe/Sofia'), ('Europe/Stockholm', 'Europe/Stockholm'), ('Europe/Tallinn', 'Europe/Tallinn'), ('Europe/Tirane', 'Europe/Tirane'), ('Europe/Ulyanovsk', 'Europe/Ulyanovsk'), ('Europe/Uzhgorod', 'Europe/Uzhgorod'), ('Europe/Vaduz', 'Europe/Vaduz'), ('Europe/Vatican', 'Europe/Vatican'), ('Europe/Vienna', 'Europe/Vienna'), ('Europe/Vilnius', 'Europe/Vilnius'), ('Europe/Volgograd', 'Europe/Volgograd'), ('Europe/Warsaw', 'Europe/Warsaw'), ('Europe/Zagreb', 'Europe/Zagreb'), ('Europe/Zaporozhye', 'Europe/Zaporozhye'), ('Europe/Zurich', 'Europe/Zurich'), ('GMT', 'GMT'), ('Indian/Antananarivo', 'Indian/Antananarivo'), ('Indian/Chagos', 'Indian/Chagos'), ('Indian/Christmas', 'Indian/Christmas'), ('Indian/Cocos', 'Indian/Cocos'), ('Indian/Comoro', 'Indian/Comoro'), ('Indian/Kerguelen', 'Indian/Kerguelen'), ('Indian/Mahe', 'Indian/Mahe'), ('Indian/Maldives', 'Indian/Maldives'), ('Indian/Mauritius', 'Indian/Mauritius'), ('Indian/Mayotte', 'Indian/Mayotte'), ('Indian/Reunion', 'Indian/Reunion'), ('Pacific/Apia', 'Pacific/Apia'), ('Pacific/Auckland', 'Pacific/Auckland'), ('Pacific/Bougainville', 'Pacific/Bougainville'), ('Pacific/Chatham', 'Pacific/Chatham'), ('Pacific/Chuuk', 'Pacific/Chuuk'), ('Pacific/Easter', 'Pacific/Easter'), ('Pacific/Efate', 'Pacific/Efate'), ('Pacific/Fakaofo', 'Pacific/Fakaofo'), ('Pacific/Fiji', 'Pacific/Fiji'), ('Pacific/Funafuti', 'Pacific/Funafuti'), ('Pacific/Galapagos', 'Pacific/Galapagos'), ('Pacific/Gambier', 'Pacific/Gambier'), ('Pacific/Guadalcanal', 'Pacific/Guadalcanal'), ('Pacific/Guam', 'Pacific/Guam'), ('Pacific/Honolulu', 'Pacific/Honolulu'), ('Pacific/Kanton', 'Pacific/Kanton'), ('Pacific/Kiritimati', 'Pacific/Kiritimati'), ('Pacific/Kosrae', 'Pacific/Kosrae'), ('Pacific/Kwajalein', 'Pacific/Kwajalein'), ('Pacific/Majuro', 'Pacific/Majuro'), ('Pacific/Marquesas', 'Pacific/Marquesas'), ('Pacific/Midway', 'Pacific/Midway'), ('Pacific/Nauru', 'Pacific/Nauru'), ('Pacific/Niue', 'Pacific/Niue'), ('Pacific/Norfolk', 'Pacific/Norfolk'), ('Pacific/Noumea', 'Pacific/Noumea'), ('Pacific/Pago_Pago', 'Pacific/Pago_Pago'), ('Pacific/Palau', 'Pacific/Palau'), ('Pacific/Pitcairn', 'Pacific/Pitcairn'), ('Pacific/Pohnpei', 'Pacific/Pohnpei'), ('Pacific/Port_Moresby', 'Pacific/Port_Moresby'), ('Pacific/Rarotonga', 'Pacific/Rarotonga'), ('Pacific/Saipan', 'Pacific/Saipan'), ('Pacific/Tahiti', 'Pacific/Tahiti'), ('Pacific/Tarawa', 'Pacific/Tarawa'), ('Pacific/Tongatapu', 'Pacific/Tongatapu'), ('Pacific/Wake', 'Pacific/Wake'), ('Pacific/Wallis', 'Pacific/Wallis'), ('US/Alaska', 'US/Alaska'), ('US/Arizona', 'US/Arizona'), ('US/Central', 'US/Central'), ('US/Eastern', 'US/Eastern'), ('US/Hawaii', 'US/Hawaii'), ('US/Mountain', 'US/Mountain'), ('US/Pacific', 'US/Pacific'), ('UTC', 'UTC')], default='UTC', help_text='Conference__timezone__help', max_length=30, verbose_name='Conference__timezone')),
                ('global_notification', models.TextField(blank=True, default='', help_text='Conference__global_notification__help', verbose_name='Conference__global_notification')),
                ('send_pn_disabled', models.BooleanField(default=False, help_text='Conference__send_pn_disabled__help', verbose_name='Conference__send_pn_disabled')),
                ('board_disabled', models.BooleanField(default=False, help_text='Conference__board_disabled__help', verbose_name='Conference__board_disabled')),
                ('support_clusters', models.BooleanField(default=True, help_text='Conference__support_clusters__help', verbose_name='Conference__support_clusters')),
                ('additional_fields_schema', models.JSONField(blank=True, help_text='Conference__additional_fields_schema__help', null=True, verbose_name='Conference__additional_fields_schema')),
                ('disclaimers', models.JSONField(blank=True, help_text='Conference__disclaimers__help', null=True, verbose_name='Conference__disclaimers')),
                ('self_organized_sessions_assembly', models.ForeignKey(blank=True, help_text='Conference__self_organized_sessions_assembly__help', null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='core.assembly', verbose_name='Conference__self_organized_sessions_assembly')),
            ],
            options={
                'verbose_name': 'Conference',
                'verbose_name_plural': 'Conferences',
            },
        ),
        migrations.CreateModel(
            name='ConferenceMember',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('active_angel', models.BooleanField(default=False)),
                ('roles', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=50), blank=True, null=True, size=None)),
                ('is_staff', models.BooleanField(default=False)),
                ('static_page_groups', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=50), blank=True, null=True, size=None)),
                ('conference', core.fields.ConferenceReference(help_text='Conference__reference_help', on_delete=django.db.models.deletion.CASCADE, related_name='users', to='core.conference', verbose_name='Conference__reference')),
                ('permission_groups', models.ManyToManyField(blank=True, related_name='_core_conferencemember_permission_groups_+', to='auth.Group')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='conferences', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'permissions': [('assembly_team', 'ConferenceMember__permission-assembly_team'), ('channel_team', 'ConferenceMember__permission-channel_team'), ('static_pages', 'ConferenceMember__permission-static_pages'), ('platformusers', 'Orga: Users List'), ('rename_platformuser', 'Orga: Rename User'), ('block_platformuser', 'ConferenceMember__permission-block_platformuser'), ('change_conferencemember__active_angel', 'ConferenceMember__permission-change_conferencemember__active_angel'), ('view_platformuser__guardian', 'ConferenceMember__permission-view_platformuser__guardian'), ('scheduleadmin', 'ConferenceMember__permission-scheduleadmin'), ('workadventure_admin', 'ConferenceMember__permission-workadventure_admin')],
            },
        ),
        migrations.CreateModel(
            name='ConferenceTag',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('slug', models.SlugField(help_text='ConferenceTag__slug__help', verbose_name='ConferenceTag__slug')),
                ('is_public', models.BooleanField(default=False, help_text='ConferenceTag__is_public__help', verbose_name='ConferenceTag__is_public')),
                ('value_type', models.CharField(choices=[('simple', 'ConferenceTag__valuetype-simple'), ('string', 'ConferenceTag__valuetype-string'), ('int', 'ConferenceTag__valuetype-int'), ('boolean', 'ConferenceTag__valuetype-bool')], default='simple', help_text='ConferenceTag__value_type__help', max_length=20, verbose_name='ConferenceTag__value_type')),
                ('description', models.TextField(blank=True, help_text='ConferenceTag__description__help', null=True, verbose_name='ConferenceTag__description')),
                ('conference', core.fields.ConferenceReference(help_text='Conference__reference_help', on_delete=django.db.models.deletion.CASCADE, to='core.conference', verbose_name='Conference__reference')),
            ],
            options={
                'verbose_name': 'ConferenceTag',
                'verbose_name_plural': 'ConferenceTags',
            },
        ),
        migrations.CreateModel(
            name='ConferenceTrack',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('slug', models.SlugField(help_text='ConferenceTrack__slug__help', verbose_name='ConferenceTrack__slug')),
                ('name', models.CharField(help_text='ConferenceTrack__name__help', max_length=200, verbose_name='ConferenceTrack__name')),
                ('is_public', models.BooleanField(default=True, help_text='ConferenceTrack__is_public__help', verbose_name='ConferenceTrack__is_public')),
                ('banner_image_height', models.PositiveIntegerField(blank=True, null=True)),
                ('banner_image_width', models.PositiveIntegerField(blank=True, null=True)),
                ('banner_image', models.ImageField(blank=True, height_field='banner_image_height', help_text='ConferenceTrack__banner_image__help', null=True, storage=core.storages.select_storage, upload_to='', verbose_name='ConferenceTrack__banner_image', width_field='banner_image_width')),
                ('conference', core.fields.ConferenceReference(help_text='Conference__reference_help', on_delete=django.db.models.deletion.CASCADE, related_name='tracks', to='core.conference', verbose_name='Conference__reference')),
            ],
            options={
                'verbose_name': 'ConferenceTrack',
                'verbose_name_plural': 'ConferenceTracks',
            },
        ),
        migrations.CreateModel(
            name='DereferrerStats',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('domain', models.CharField(max_length=2048, unique=True)),
                ('hits', models.IntegerField(default=0)),
            ],
        ),
        migrations.CreateModel(
            name='Event',
            fields=[
                ('backend_link', models.URLField(blank=True, help_text='Room__backend_link__help', null=True, verbose_name='Room__backend_link')),
                ('backend_link_branch', models.CharField(blank=True, help_text='Room__backend_link_branch__help', max_length=50, null=True, verbose_name='Room__backend_link_branch')),
                ('backend_flags', models.JSONField(blank=True, help_text='Room__backend_flags__help', null=True, verbose_name='Room__backend_flags')),
                ('backend_data', models.JSONField(blank=True, help_text='Room__backend_data__help', null=True, verbose_name='Room__backend_data')),
                ('director_data', models.JSONField(blank=True, help_text='Room__director_data__help', null=True, verbose_name='Room__director_data')),
                ('backend_status', models.CharField(blank=True, choices=[('', 'Room__backend_status-none'), ('new', 'Room__backend_status-new'), ('setup', 'Room__backend_status-setup'), ('error', 'Room__backend_status-error'), ('active', 'Room__backend_status-active'), ('inactive', 'Room__backend_status-inactive'), ('full', 'Room__backend_status-full')], default='', help_text='Room__backend_status__help', max_length=20, verbose_name='Room__backend_status')),
                ('capacity', models.PositiveIntegerField(blank=True, help_text='Room__capacity__help', null=True, verbose_name='Room__capacity')),
                ('reserve_capacity', models.PositiveIntegerField(default=20, editable=False, help_text='Room__reserve_capacity__help', verbose_name='Room__reserve_capacity')),
                ('occupants', models.PositiveIntegerField(blank=True, editable=False, help_text='Room__occupants__help', null=True, verbose_name='Room__occupants')),
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('slug', models.SlugField(help_text='Event__slug__help', max_length=150, verbose_name='Event__slug')),
                ('kind', models.CharField(choices=[('official', 'Event__kind-official'), ('assembly', 'Event__kind-assembly'), ('sos', 'Event__kind-sos')], default='assembly', help_text='Event__kind__help', max_length=10, verbose_name='Event__kind')),
                ('name', models.CharField(max_length=200)),
                ('language', models.CharField(blank=True, help_text='Event__language__help', max_length=50, null=True, verbose_name='Event__language')),
                ('abstract', models.TextField(blank=True, help_text='Event__abstract__help', verbose_name='Event__abstract')),
                ('description', models.TextField(blank=True, help_text='Event__description__help', verbose_name='Event__description')),
                ('description_html', models.TextField(blank=True)),
                ('banner_image_height', models.PositiveIntegerField(blank=True, null=True)),
                ('banner_image_width', models.PositiveIntegerField(blank=True, null=True)),
                ('banner_image', models.ImageField(blank=True, height_field='banner_image_height', help_text='Event__banner_image__help', null=True, storage=core.storages.select_storage, upload_to='', verbose_name='Event__banner_image', width_field='banner_image_width')),
                ('is_public', models.BooleanField(default=False, help_text='Event__is_public__help', verbose_name='Event__is_public')),
                ('schedule_start', models.DateTimeField(blank=True, help_text='Event__schedule_start__help', null=True, verbose_name='Event__schedule_start')),
                ('schedule_duration', models.DurationField(blank=True, help_text='Event__schedule_duration__help', null=True, verbose_name='Event__schedule_duration')),
                ('schedule_end', models.DateTimeField(blank=True, help_text='Event__schedule_end__help', null=True, verbose_name='Event__schedule_end')),
                ('additional_data', models.JSONField(blank=True, null=True)),
                ('assembly', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='events', to='core.assembly')),
                ('conference', core.fields.ConferenceReference(help_text='Conference__reference_help', on_delete=django.db.models.deletion.CASCADE, related_name='events', to='core.conference', verbose_name='Conference__reference')),
                ('favorited_by', models.ManyToManyField(help_text='Event__favorited_by__help', related_name='favorite_events', to=settings.AUTH_USER_MODEL, verbose_name='Event__favorited_by')),
                ('in_personal_calendar', models.ManyToManyField(help_text='Event__in_personal_calendar__help', related_name='calendar_events', to=settings.AUTH_USER_MODEL, verbose_name='Event__in_personal_calendar')),
                ('owner', models.ForeignKey(blank=True, help_text='Event__owner__help', null=True, on_delete=django.db.models.deletion.PROTECT, related_name='owned_events', to=settings.AUTH_USER_MODEL, verbose_name='Event__owner')),
            ],
            options={
                'verbose_name': 'Event',
                'verbose_name_plural': 'Events',
            },
            bases=(core.models.tags.TaggedItemMixin, models.Model),
        ),
        migrations.CreateModel(
            name='Room',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('blocked', models.BooleanField(default=False, help_text='Room__blocked__help', verbose_name='Room__blocked')),
                ('name', models.CharField(max_length=200)),
                ('slug', models.SlugField(unique=True)),
                ('description', models.TextField(blank=True, help_text='Room__description__help', null=True, verbose_name='Room__description')),
                ('description_html', models.TextField(blank=True, null=True)),
                ('is_public_fahrplan', models.BooleanField(default=False, help_text='Room__is_public_fahrplan__help', verbose_name='Room__is_public_fahrplan')),
                ('is_official', models.BooleanField(default=False, help_text='Room__is_official__help', verbose_name='Room__is_official')),
                ('official_room_order', models.IntegerField(default=0, help_text='Room__official_room_order__help', verbose_name='Room__official_room_order')),
                ('room_type', models.CharField(choices=[('lecturehall', 'Room__type-lecturehall'), ('stage', 'Room__type-stage'), ('workshop', 'Room__type-workshop'), ('outside', 'Room__type-outside'), ('online', 'Room__type-online'), ('project', 'Room__type-project'), ('bbb', 'Room__type-bbb'), ('workadventure', 'Room__type-workadventure'), ('hangar', 'Room__type-hangar'), ('other', 'Room__type-other')], help_text='Room__type__help', max_length=20, verbose_name='Room__type')),
                ('backend_link', models.URLField(blank=True, help_text='Room__backend_link__help', null=True, verbose_name='Room__backend_link')),
                ('backend_link_branch', models.CharField(blank=True, help_text='Room__backend_link_branch__help', max_length=50, null=True, verbose_name='Room__backend_link_branch')),
                ('backend_flags', models.JSONField(blank=True, help_text='Room__backend_flags__help', null=True, verbose_name='Room__backend_flags')),
                ('backend_data', models.JSONField(blank=True, help_text='Room__backend_data__help', null=True, verbose_name='Room__backend_data')),
                ('director_data', models.JSONField(blank=True, help_text='Room__director_data__help', null=True, verbose_name='Room__director_data')),
                ('backend_status', models.CharField(blank=True, choices=[('', 'Room__backend_status-none'), ('new', 'Room__backend_status-new'), ('setup', 'Room__backend_status-setup'), ('error', 'Room__backend_status-error'), ('active', 'Room__backend_status-active'), ('inactive', 'Room__backend_status-inactive'), ('full', 'Room__backend_status-full')], default='', help_text='Room__backend_status__help', max_length=20, verbose_name='Room__backend_status')),
                ('capacity', models.PositiveIntegerField(blank=True, help_text='Room__capacity__help', null=True, verbose_name='Room__capacity')),
                ('reserve_capacity', models.PositiveIntegerField(default=20, editable=False, help_text='Room__reserve_capacity__help', verbose_name='Room__reserve_capacity')),
                ('occupants', models.PositiveIntegerField(blank=True, editable=False, help_text='Room__occupants__help', null=True, verbose_name='Room__occupants')),
                ('assembly', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='rooms', to='core.assembly')),
                ('conference', core.fields.ConferenceReference(help_text='Conference__reference_help', on_delete=django.db.models.deletion.CASCADE, related_name='rooms', to='core.conference', verbose_name='Conference__reference')),
            ],
            options={
                'verbose_name': 'Room',
                'verbose_name_plural': 'Rooms',
            },
        ),
        migrations.CreateModel(
            name='ScheduleSource',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('import_type', models.CharField(help_text='ScheduleSource__import_type__help', max_length=20, verbose_name='ScheduleSource__import_type')),
                ('import_url', models.URLField(help_text='ScheduleSource__import_url__help', verbose_name='ScheduleSource__import_url')),
                ('import_configuration', models.JSONField(blank=True, help_text='ScheduleSource__import_configuration__help', null=True, verbose_name='ScheduleSource__import_configuration')),
                ('import_frequency', models.DurationField(default=datetime.timedelta(seconds=3600), help_text='ScheduleSource__import_frequency__help', verbose_name='ScheduleSource__import_frequency')),
                ('import_timeout', models.DurationField(default=datetime.timedelta(seconds=300), help_text='ScheduleSource__import_timeout__help', verbose_name='ScheduleSource__import_timeout')),
                ('last_import', models.DateTimeField(blank=True, help_text='ScheduleSource__last_import__help', null=True, verbose_name='ScheduleSource__last_import')),
                ('assembly', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='schedule_sources', to='core.assembly')),
            ],
        ),
        migrations.CreateModel(
            name='StaticPage',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, primary_key=True, serialize=False)),
                ('slug', models.SlugField()),
                ('page_group', models.CharField(blank=True, help_text='StaticPage__page_group__help', max_length=50, null=True, verbose_name='StaticPage__page_group')),
                ('public_revision', models.PositiveIntegerField(default=0, help_text='StaticPage__public_revision__help', verbose_name='StaticPage__public_revision')),
                ('title', models.CharField(help_text='StaticPage__title__help', max_length=200, verbose_name='StaticPage__title')),
                ('rendered_body', models.TextField(blank=True, editable=False, help_text='StaticPage__rendered_body__help', null=True, verbose_name='StaticPage__rendered_body')),
                ('search_content', models.TextField(blank=True, editable=False, null=True)),
                ('search_vector', django.contrib.postgres.search.SearchVectorField(blank=True, editable=False, null=True)),
                ('conference', core.fields.ConferenceReference(help_text='Conference__reference_help', on_delete=django.db.models.deletion.CASCADE, related_name='pages', to='core.conference', verbose_name='Conference__reference')),
            ],
            options={
                'verbose_name': 'StaticPage',
                'verbose_name_plural': 'StaticPages',
            },
        ),
        migrations.CreateModel(
            name='WorkadventureSession',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('token', models.CharField(blank=True, help_text='WorkadventureSession__token__help', max_length=100, null=True, verbose_name='WorkadventureSession__token')),
                ('token_expiry', models.DateTimeField(blank=True, help_text='WorkadventureSession__token_expiry__help', null=True, verbose_name='WorkadventureSession__token_expiry')),
                ('messages', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=250), default=list, help_text='WorkadventureSession__messages__help', size=None, verbose_name='WorkadventureSession__messages')),
                ('additional_data', models.JSONField(blank=True, help_text='WorkadventureSession__additional_data__help', null=True, verbose_name='WorkadventureSession__additional_data')),
                ('conference', core.fields.ConferenceReference(help_text='Conference__reference_help', on_delete=django.db.models.deletion.CASCADE, related_name='workadventure_sessions', to='core.conference', verbose_name='Conference__reference')),
                ('room', models.ForeignKey(blank=True, help_text='WorkadventureSession__room__help', null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='core.room', verbose_name='WorkadventureSession__room')),
                ('user', models.ForeignKey(help_text='WorkadventureSession__user__help', on_delete=django.db.models.deletion.CASCADE, related_name='workadventure_sessions', to=settings.AUTH_USER_MODEL, verbose_name='WorkadventureSession__user')),
            ],
        ),
        migrations.CreateModel(
            name='UserTimelineEntry',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, primary_key=True, serialize=False)),
                ('timestamp', models.DateTimeField(default=django.utils.timezone.now, help_text='UserTimelineEntry__timestamp__help', verbose_name='UserTimelineEntry__timestamp')),
                ('target_id', models.UUIDField()),
                ('is_bookmark', models.BooleanField(default=False, help_text='UserTimelineEntry__is_bookmark__help', verbose_name='UserTimelineEntry__is_bookmark')),
                ('comment', models.TextField(blank=True, help_text='UserTimelineEntry__comment__help', null=True, verbose_name='UserTimelineEntry__comment')),
                ('conference', core.fields.ConferenceReference(help_text='Conference__reference_help', on_delete=django.db.models.deletion.CASCADE, related_name='+', to='core.conference', verbose_name='Conference__reference')),
                ('target_type', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='contenttypes.contenttype')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='timeline', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='UserDereferrerAllowlist',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('domain', models.CharField(max_length=2048)),
                ('active', models.BooleanField(default=True)),
                ('user', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='dereferrer_allowed_hosts', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='UserContact',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('pending', models.BooleanField(default=True, help_text='UserContact__pending__help', verbose_name='UserContact__pending')),
                ('share_status', models.BooleanField(help_text='UserContact__share_status__help', null=True, verbose_name='UserContact__share_status')),
                ('receive_dms', models.BooleanField(default=True, help_text='UserContact__receive_dms__help', verbose_name='UserContact__receive_dms')),
                ('receive_dm_images', models.BooleanField(default=False, help_text='UserContact__receive_dm_images__help', verbose_name='UserContact__receive_dm_images')),
                ('is_guardian', models.BooleanField(default=False, help_text='UserContact__is_guardian__help', verbose_name='UserContact__is_guardian')),
                ('contact', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='contacts', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='UserCommunicationChannel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('channel', models.CharField(choices=[('mail', 'UserCommunicationChannel__channel-mail'), ('xmpp', 'UserCommunicationChannel__channel-xmpp'), ('irc', 'UserCommunicationChannel__channel-irc'), ('dect', 'UserCommunicationChannel__channel-dect'), ('phone', 'UserCommunicationChannel__channel-phone'), ('matrix', 'UserCommunicationChannel__channel-matrix')], help_text='UserCommunicationChannel__channel__help', max_length=20, verbose_name='UserCommunicationChannel__channel')),
                ('address', models.CharField(help_text='UserCommunicationChannel__address__help', max_length=255, verbose_name='UserCommunicationChannel__address')),
                ('is_verified', models.BooleanField(default=False, help_text='UserCommunicationChannel__is_verified__help', verbose_name='UserCommunicationChannel__is_verified')),
                ('use_for_notifications', models.BooleanField(default=False, help_text='UserCommunicationChannel__use_for_notifications__help', verbose_name='UserCommunicationChannel__use_for_notifications')),
                ('show_public', models.BooleanField(default=False, help_text='UserCommunicationChannel__show_public__help', verbose_name='UserCommunicationChannel__show_public')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='communication_channels', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='UserBadge',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('accepted_by_user', models.BooleanField(default=False)),
                ('visibility', models.CharField(choices=[('public', 'UserBadge__visibility-public'), ('private', 'UserBadge__visibility-private'), ('friends', 'UserBadge__visibility-friends'), ('club', 'UserBadge__visibility-club'), ('clubANDfriends', 'UserBadge__visibility-clubANDfriends')], default='private', help_text='UserBadge__visibility__help', max_length=20, verbose_name='UserBadge__visibility')),
                ('badge', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='users', to='core.badge')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='badges', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='TagItem',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('target_id', models.UUIDField()),
                ('_value_text', models.CharField(blank=True, max_length=100, null=True)),
                ('_value_int', models.IntegerField(blank=True, null=True)),
                ('tag', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='+', to='core.conferencetag')),
                ('target_type', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='contenttypes.contenttype')),
            ],
        ),
        migrations.CreateModel(
            name='StaticPageRevision',
            fields=[
                ('revision', models.AutoField(primary_key=True, serialize=False)),
                ('title', models.CharField(help_text='StaticPageRevision__title__help', max_length=200, verbose_name='StaticPageRevision__title')),
                ('body', models.TextField(help_text='StaticPageRevision__body__help', verbose_name='StaticPageRevision__body')),
                ('is_draft', models.BooleanField(default=False, help_text='StaticPageRevision__is_draft__help', verbose_name='StaticPageRevision__is_draft')),
                ('timestamp', models.DateTimeField(auto_now_add=True, help_text='StaticPageRevision__timestamp__help', verbose_name='StaticPageRevision__timestamp')),
                ('author', models.ForeignKey(blank=True, help_text='StaticPageRevision__author__help', null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL, verbose_name='StaticPageRevision__author')),
                ('page', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='revisions', to='core.staticpage')),
            ],
        ),
        migrations.CreateModel(
            name='ScheduleSourceMapping',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('mapping_type', models.CharField(choices=[('unknown', 'unknown'), ('room', 'Room'), ('event', 'Event'), ('event_attachment', 'EventAttachment'), ('speaker', 'EventParticipant__type-speaker')], max_length=20)),
                ('source_id', models.CharField(max_length=200)),
                ('local_id', models.UUIDField(blank=True, null=True)),
                ('skip', models.BooleanField(default=False)),
                ('extra_data', models.JSONField(blank=True, null=True)),
                ('schedule_source', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='mappings', to='core.schedulesource')),
            ],
        ),
        migrations.CreateModel(
            name='ScheduleSourceImport',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('state', models.CharField(choices=[('unknown', 'ScheduleSourceImport__state-unknown'), ('prepared', 'ScheduleSourceImport__state-prepared'), ('started', 'ScheduleSourceImport__state-started'), ('conn_failed', 'ScheduleSourceImport__state-conn_failed'), ('fetched', 'ScheduleSourceImport__state-fetched'), ('importing', 'ScheduleSourceImport__state-importing'), ('import_failed', 'ScheduleSourceImport__state-import_failed'), ('timeout', 'ScheduleSourceImport__state-timeout'), ('completed', 'ScheduleSourceImport__state-completed'), ('warning', 'ScheduleSourceImport__state-warning'), ('error', 'ScheduleSourceImport__state-error')], max_length=20)),
                ('summary', models.CharField(blank=True, max_length=200, null=True)),
                ('start', models.DateTimeField(auto_now_add=True)),
                ('end', models.DateTimeField(null=True)),
                ('data', models.JSONField(blank=True, null=True)),
                ('schedule_source', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='imports', to='core.schedulesource')),
            ],
            options={
                'ordering': ['-start', '-end'],
            },
        ),
        migrations.CreateModel(
            name='RoomLink',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200)),
                ('link_type', models.CharField(choices=[('website', 'RoomLink__type-website'), ('chat', 'RoomLink__type-chat'), ('bbb', 'RoomLink__type-bbb'), ('jitsi', 'RoomLink__type-jitsi'), ('pad', 'RoomLink__type-pad'), ('media.ccc.de', 'RoomLink__type-media_ccc_de'), ('video', 'RoomLink__type-video'), ('audio', 'RoomLink__type-audio')], help_text='RoomLink__type__help', max_length=20, verbose_name='RoomLink__type')),
                ('link', models.CharField(max_length=255)),
                ('conference_internal', models.BooleanField(default=False, help_text='RoomLink__conference_internal__help', verbose_name='RoomLink__conference_internal')),
                ('send_token', models.CharField(choices=[('none', 'RoomLink__send_token-none'), ('participant', 'RoomLink__send_token-participant'), ('name', 'RoomLink__send_token-name')], default='none', help_text='RoomLink__conference_internal__help', max_length=20, verbose_name='RoomLink__conference_internal')),
                ('room', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='links', to='core.room')),
            ],
        ),
        migrations.CreateModel(
            name='RoomLinkUserId',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, primary_key=True, serialize=False)),
                ('roomlink', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='+', to='core.roomlink')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='EventParticipant',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('role', models.CharField(choices=[('speaker', 'EventParticipant__type-speaker'), ('angel', 'EventParticipant__type-angel'), ('regular', 'EventParticipant__type-regular'), ('prospect', 'EventParticipant__type-prospect')], default='regular', help_text='EventParticipant__role__help', max_length=20, verbose_name='EventParticipant__role')),
                ('is_accepted', models.BooleanField(default=False, help_text='EventParticipant__is_accepted__help', verbose_name='EventParticipant__is_accepted')),
                ('is_public', models.BooleanField(default=False, help_text='EventParticipant__is_public__help', verbose_name='EventParticipant__is_public')),
                ('public_description', models.TextField(blank=True, help_text='EventParticipant__public_description__help', null=True, verbose_name='EventParticipant__public_description')),
                ('personal_comment', models.TextField(blank=True, help_text='EventParticipant__personal_comment__help', null=True, verbose_name='EventParticipant__personal_comment')),
                ('event', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='participants', to='core.event')),
                ('participant', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='events', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='EventLikeCount',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('likes', models.IntegerField()),
                ('like_ratio', models.IntegerField()),
                ('event1', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='suggestions', to='core.event')),
                ('event2', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='+', to='core.event')),
            ],
        ),
        migrations.CreateModel(
            name='EventAttachment',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('file', models.FileField(upload_to=core.models.events._EventAttachment_upload_path)),
                ('filename', models.CharField(max_length=255)),
                ('mime_type', models.CharField(max_length=100)),
                ('visibility', models.CharField(choices=[('private', 'EventAttachment__visibility-private'), ('participants', 'EventAttachment__visibility-participants'), ('conference', 'EventAttachment__visibility-conference'), ('public', 'EventAttachment__visibility-public')], default='private', max_length=20)),
                ('event', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.event')),
            ],
            options={
                'verbose_name': 'EventAttachment',
                'verbose_name_plural': 'EventAttachments',
            },
        ),
        migrations.AddField(
            model_name='event',
            name='room',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='events', to='core.room'),
        ),
        migrations.AddField(
            model_name='event',
            name='track',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='core.conferencetrack'),
        ),
        migrations.CreateModel(
            name='DirectMessage',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('timestamp', models.DateTimeField(auto_now_add=True, help_text='DirectMessage__timestamp__help', verbose_name='DirectMessage__timestamp')),
                ('autodelete_after', models.DateTimeField(blank=True, help_text='DirectMessage__autodelete_after__help', null=True, verbose_name='DirectMessage__autodelete_after')),
                ('subject', models.CharField(help_text='DirectMessage__subject__help', max_length=200, verbose_name='DirectMessage__subject')),
                ('body', models.TextField(help_text='DirectMessage__body__help', verbose_name='DirectMessage__body')),
                ('deleted_by_sender', models.BooleanField(default=False, help_text='DirectMessage__deleted_by_sender__help', verbose_name='DirectMessage__deleted_by_sender')),
                ('deleted_by_recipient', models.BooleanField(default=False, help_text='DirectMessage__deleted_by_recipient__help', verbose_name='DirectMessage__deleted_by_recipient')),
                ('was_read', models.BooleanField(default=False, help_text='DirectMessage__was_read__help', verbose_name='DirectMessage__was_read')),
                ('has_responded', models.BooleanField(default=False, help_text='DirectMessage__has_responded__help', verbose_name='DirectMessage__has_responded')),
                ('flagged_for_abuse', models.BooleanField(default=False, help_text='DirectMessage__flagged_for_abuse__help', verbose_name='DirectMessage__flagged_for_abuse')),
                ('conference', core.fields.ConferenceReference(blank=True, help_text='Conference__reference_help', null=True, on_delete=django.db.models.deletion.CASCADE, to='core.conference', verbose_name='Conference__reference')),
                ('in_reply_to', models.ForeignKey(blank=True, help_text='DirectMessage__in_reply_to__help', null=True, on_delete=django.db.models.deletion.SET_NULL, to='core.directmessage', verbose_name='DirectMessage__in_reply_to')),
                ('recipient', models.ForeignKey(help_text='DirectMessage__recipient__help', on_delete=django.db.models.deletion.CASCADE, related_name='received_messages', to=settings.AUTH_USER_MODEL, verbose_name='DirectMessage__recipient')),
                ('sender', models.ForeignKey(blank=True, help_text='DirectMessage__sender__help', null=True, on_delete=django.db.models.deletion.CASCADE, related_name='sent_messages', to=settings.AUTH_USER_MODEL, verbose_name='DirectMessage__sender')),
            ],
        ),
        migrations.CreateModel(
            name='ConferenceMemberTicket',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('ident', models.CharField(db_index=True, max_length=100)),
                ('data', models.JSONField(blank=True, null=True)),
                ('conference', core.fields.ConferenceReference(help_text='Conference__reference_help', on_delete=django.db.models.deletion.CASCADE, related_name='tickets', to='core.conference', verbose_name='Conference__reference')),
                ('user', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='tickets', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='BulletinBoardEntry',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('timestamp', models.DateTimeField(auto_now_add=True)),
                ('is_public', models.BooleanField(default=True)),
                ('hidden', models.BooleanField(default=False)),
                ('title', models.CharField(max_length=200)),
                ('text', models.TextField()),
                ('text_html', models.TextField()),
                ('conference', core.fields.ConferenceReference(help_text='Conference__reference_help', on_delete=django.db.models.deletion.CASCADE, related_name='bulletin_board_entries', to='core.conference', verbose_name='Conference__reference')),
                ('owner', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='bulletin_board_entries', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='BadgeToken',
            fields=[
                ('token', models.CharField(max_length=50, primary_key=True, serialize=False)),
                ('badge_class', models.CharField(choices=[('single', 'BadgeToken__badge_class-single'), ('permanent', 'BadgeToken__badge_class-permanent'), ('limited', 'BadgeToken__badge_class-limited'), ('map', 'BadgeToken__badge_class-map')], default='single', help_text='BadgeToken__badge_class__help', max_length=20, verbose_name='BadgeToken__badge_class')),
                ('limited_amount_left', models.IntegerField(default=0)),
                ('issued', models.DateTimeField(auto_now_add=True)),
                ('badge', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='+', to='core.badge')),
            ],
        ),
        migrations.AddField(
            model_name='badge',
            name='conference',
            field=core.fields.ConferenceReference(help_text='Conference__reference_help', on_delete=django.db.models.deletion.CASCADE, related_name='badges', to='core.conference', verbose_name='Conference__reference'),
        ),
        migrations.AddField(
            model_name='badge',
            name='issuing_assembly',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='badges', to='core.assembly'),
        ),
        migrations.CreateModel(
            name='AssemblyMember',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_representative', models.BooleanField(default=False, help_text='AssemblyMember__is_representative__help', verbose_name='AssemblyMember__is_representative')),
                ('can_manage_assembly', models.BooleanField(default=False, help_text='AssemblyMember__can_manage_assembly__help', verbose_name='AssemblyMember__can_manage_assembly')),
                ('is_content_coordinator', models.BooleanField(default=False, help_text='AssemblyMember__is_content_coordinator__help', verbose_name='AssemblyMember__is_content_coordinator')),
                ('is_production_coordinator', models.BooleanField(default=False, help_text='AssemblyMember__is_production_coordinator__help', verbose_name='AssemblyMember__is_production_coordinator')),
                ('is_technical_contact', models.BooleanField(default=False, help_text='AssemblyMember__is_technical_contact__help', verbose_name='AssemblyMember__is_technical_contact')),
                ('show_public', models.BooleanField(default=True, help_text='AssemblyMember__show_public__help', verbose_name='AssemblyMember__show_public')),
                ('assembly', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='members', to='core.assembly')),
                ('member', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='AssemblyLink',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('type', models.CharField(choices=[('related', 'AssemblyLink__type-related'), ('associated', 'AssemblyLink__type-associated'), ('other', 'AssemblyLink__type-other')], default='related', max_length=20)),
                ('is_public', models.BooleanField(default=False, help_text='AssemblyLink__is_public__help', verbose_name='AssemblyLink__is_public')),
                ('a', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='+', to='core.assembly')),
                ('b', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='+', to='core.assembly')),
            ],
        ),
        migrations.CreateModel(
            name='AssemblyLikeCount',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('likes', models.IntegerField()),
                ('like_ratio', models.IntegerField()),
                ('assembly1', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='suggestions', to='core.assembly')),
                ('assembly2', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='+', to='core.assembly')),
            ],
        ),
        migrations.AddField(
            model_name='assembly',
            name='conference',
            field=core.fields.ConferenceReference(help_text='Conference__reference_help', on_delete=django.db.models.deletion.CASCADE, related_name='assemblies', to='core.conference', verbose_name='Conference__reference'),
        ),
        migrations.AddField(
            model_name='assembly',
            name='favorited_by',
            field=models.ManyToManyField(help_text='Assembly__favorited_by__help', related_name='favorite_assemblies', to=settings.AUTH_USER_MODEL, verbose_name='Assembly__favorited_by'),
        ),
        migrations.AddField(
            model_name='assembly',
            name='parent',
            field=models.ForeignKey(blank=True, help_text='Assembly__parent__help', null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='core.assembly', verbose_name='Assembly__parent'),
        ),
        migrations.AddField(
            model_name='assembly',
            name='technical_user',
            field=models.ForeignKey(blank=True, help_text='Assembly__technical_user__help', null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to=settings.AUTH_USER_MODEL, verbose_name='Assembly__technical_user'),
        ),
        migrations.CreateModel(
            name='Application',
            fields=[
                ('id', models.BigAutoField(primary_key=True, serialize=False)),
                ('client_id', models.CharField(db_index=True, default=oauth2_provider.generators.generate_client_id, max_length=100, unique=True)),
                ('redirect_uris', models.TextField(blank=True, help_text='Allowed URIs list, space separated')),
                ('client_type', models.CharField(choices=[('confidential', 'Confidential'), ('public', 'Public')], max_length=32)),
                ('authorization_grant_type', models.CharField(choices=[('authorization-code', 'Authorization code'), ('implicit', 'Implicit'), ('password', 'Resource owner password-based'), ('client-credentials', 'Client credentials'), ('openid-hybrid', 'OpenID connect hybrid')], max_length=32)),
                ('client_secret', models.CharField(blank=True, db_index=True, default=oauth2_provider.generators.generate_client_secret, max_length=255)),
                ('name', models.CharField(blank=True, max_length=255)),
                ('skip_authorization', models.BooleanField(default=False)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('algorithm', models.CharField(blank=True, choices=[('', 'No OIDC support'), ('RS256', 'RSA with SHA-2 256'), ('HS256', 'HMAC with SHA-2 256')], default='', max_length=5)),
                ('internal_description', models.TextField(blank=True, help_text='Application__internal_description__help', null=True, verbose_name='Application__internal_description')),
                ('assembly', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='applications', to='core.assembly')),
                ('user', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='core_application', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='WorkadventureTexture',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=100)),
                ('number', models.IntegerField()),
                ('level', models.IntegerField()),
                ('url', models.URLField(blank=True)),
                ('rights', models.CharField(blank=True, max_length=200)),
                ('additional_fields', models.JSONField(blank=True, null=True)),
                ('assigned_assemblies', models.ManyToManyField(blank=True, related_name='_core_workadventuretexture_assigned_assemblies_+', to='core.Assembly')),
                ('assigned_conference_members', models.ManyToManyField(blank=True, related_name='wa_textures', to='core.ConferenceMember')),
                ('assigned_groups', models.ManyToManyField(blank=True, related_name='_core_workadventuretexture_assigned_groups_+', to='auth.Group')),
                ('conference', core.fields.ConferenceReference(help_text='Conference__reference_help', on_delete=django.db.models.deletion.CASCADE, related_name='workadventure_textures', to='core.conference', verbose_name='Conference__reference')),
            ],
            options={
                'ordering': ['number'],
                'unique_together': {('conference', 'number')},
            },
        ),
        migrations.AddConstraint(
            model_name='userdereferrerallowlist',
            constraint=models.UniqueConstraint(fields=('domain', 'user'), name='domain_user_unique'),
        ),
        migrations.AddConstraint(
            model_name='userbadge',
            constraint=models.UniqueConstraint(fields=('user', 'badge'), name='unique_userbadge_user_badge'),
        ),
        migrations.AddConstraint(
            model_name='tagitem',
            constraint=models.UniqueConstraint(fields=('target_type', 'target_id', 'tag'), name='unique_target_tag'),
        ),
        migrations.AddConstraint(
            model_name='staticpagerevision',
            constraint=models.UniqueConstraint(fields=('page', 'revision'), name='page_revision'),
        ),
        migrations.AddIndex(
            model_name='staticpage',
            index=django.contrib.postgres.indexes.GinIndex(fields=['search_vector'], name='staticpage_searchvector'),
        ),
        migrations.AddConstraint(
            model_name='staticpage',
            constraint=models.UniqueConstraint(fields=('conference', 'slug'), name='unique_conferencestaticpage_slug'),
        ),
        migrations.AddConstraint(
            model_name='room',
            constraint=models.UniqueConstraint(fields=('assembly', 'name'), name='room_unique_name'),
        ),
        migrations.AddIndex(
            model_name='eventlikecount',
            index=models.Index(fields=['event1', 'like_ratio'], name='core_eventl_event1__292277_idx'),
        ),
        migrations.AlterUniqueTogether(
            name='eventlikecount',
            unique_together={('event1', 'event2')},
        ),
        migrations.AddConstraint(
            model_name='event',
            constraint=models.UniqueConstraint(fields=('conference', 'slug'), name='unique_event_slug'),
        ),
        migrations.AddConstraint(
            model_name='event',
            constraint=models.CheckConstraint(condition=models.Q(('kind', 'sos'), ('assembly__isnull', False), _connector='OR'), name='event_has_assembly_or_is_sos'),
        ),
        migrations.AddConstraint(
            model_name='conferencetrack',
            constraint=models.UniqueConstraint(fields=('conference', 'slug'), name='unique_conferencetrack_slug'),
        ),
        migrations.AddConstraint(
            model_name='conferencetag',
            constraint=models.UniqueConstraint(fields=('conference', 'slug'), name='unique_conference_tag'),
        ),
        migrations.AddConstraint(
            model_name='conferencememberticket',
            constraint=models.UniqueConstraint(fields=('conference', 'user'), name='unique_conferencememberticket_conference_user'),
        ),
        migrations.AddConstraint(
            model_name='conferencemember',
            constraint=models.UniqueConstraint(fields=('user', 'conference'), name='conferencemember_user_conference_unique'),
        ),
        migrations.AddIndex(
            model_name='assemblylikecount',
            index=models.Index(fields=['assembly1', 'like_ratio'], name='core_assemb_assembl_36f458_idx'),
        ),
        migrations.AlterUniqueTogether(
            name='assemblylikecount',
            unique_together={('assembly1', 'assembly2')},
        ),
        migrations.AddConstraint(
            model_name='assembly',
            constraint=models.UniqueConstraint(fields=('conference', 'slug'), name='unique_conferenceassembly_slug'),
        ),
        migrations.RunSQL(
            sql="\n        CREATE TRIGGER core_staticpage_searchvector_update BEFORE INSERT OR UPDATE\n        ON core_staticpage FOR EACH ROW EXECUTE FUNCTION\n        tsvector_update_trigger(search_vector, 'pg_catalog.english', search_content);\n    ",
            reverse_sql='DROP TRIGGER core_staticpage_searchvector_update ON core_staticpage;',
        ),
    ]
