# Generated by Django 3.2.10 on 2021-12-15 20:28

from django.db import migrations
from django.utils.text import slugify
from uuid import uuid4


def create_slug(Room, room, extension=""):
    """
    recursive function to get a free slug based on the username and an optional extension string.
    """

    sluged = slugify(room.name + extension)

    exists = Room.objects.exclude(id=room.id).filter(slug=sluged).exists()
    if exists:
        extension = str(uuid4())[13:18]
        return create_slug(Room, room, extension)
    else:
        return sluged


def do(apps, schema_editor):
    """ makes room names assembly-unique and computes slugs for all rooms """
    Room = apps.get_model('core', 'Room')
    for room in Room.objects.all():
        i = 1
        room_name = room.name
        while Room.objects.filter(assembly=room.assembly, name=room.name).exclude(pk=room.pk).exists():
            room.name = room_name + str(i)
            i += 1
        room.slug = create_slug(Room, room)
        room.save()


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0070_room_slug'),
    ]

    operations = [
        migrations.RunPython(do, migrations.RunPython.noop, elidable=True)
    ]
