# Generated by Django 4.2.5 on 2023-09-24 10:26

import core.fields
from core.models.conference import validate_conferencenavigationitem_url
from django.db import migrations, models
import django.db.models.deletion


def add_example_data(apps, schema_editor):
    Conference = apps.get_model("core", "Conference")
    ConferenceNavigationItem = apps.get_model("core", "ConferenceNavigationItem")
    db_alias = schema_editor.connection.alias

    for conf in Conference.objects.all():
        p_conf = ConferenceNavigationItem.objects.using(db_alias).create(conference=conf, label_de='Veranstaltung', label_en='Conference', index=10)
        p_visitors = ConferenceNavigationItem.objects.using(db_alias).create(conference=conf, label_de='Besucher', label_en='Visitors', index=20)

        p_conf.children.create(
            conference=conf,
            label_de='Fahrplan', label_en='schedule',
            title_de='das Veranstaltungsprogramm', title_en='talks, presentations & workshops',
            icon='calender-list', index=10,
            url='conference://fahrplan',
        )
        p_conf.children.create(
            conference=conf,
            label_de='Streams', label_en='streaming',
            title_de='Live-Streams der Vorträge', title_en='live streams of talks',
            icon='camera-reels',
            index=20,
            url='https://streaming.media.ccc.de/',
        )
        p_conf.children.create(
            conference=conf,
            label_de='Assemblies', label_en='assemblies',
            title_de='regionale und/oder thematische Gruppen von Menschen', title_en='regional and/or topic-based groups of people',
            icon='people',
            index=30,
            url='conference://assemblies',
        )
        p_conf.children.create(
            conference=conf,
            label_de='Projekte', label_en='projects',
            title_de='Dinge zum Ansehen', title_en='interesting stuff',
            icon='lightbulb',
            index=40,
            url='conference://projects',
        )
        p_conf.children.create(
            conference=conf,
            label_de='SoS', label_en='SoS',
            title_de='Self Organized Sessions', title_en='Self Organized Sessions',
            icon='calender-list',
            index=50,
            url='conference://sos',
        )

        p_visitors.children.create(
            conference=conf,
            label_de='FAQ', label_en='faq',
            title_de='Häufig gestellte Fragen (und Antworten)', title_en='frequently asked questions (and answers)',
            icon='patch-question',
            index=3,
            url='wiki://info:faq',
        )
        p_visitors.children.create(
            conference=conf,
            label_de='Anreise', label_en='arrival',
            icon='luggage-fill',
            index=10,
            url='wiki://info:arrival',
        )
        p_visitors.children.create(
            conference=conf,
            label_de='Hilfe', label_en='help',
            icon='person-raised-hand',
            index=20,
            url='wiki://info:help',
        )


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0101_staticpages_html'),
    ]

    operations = [
        migrations.CreateModel(
            name='ConferenceNavigationItem',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_visible', models.BooleanField(default=True, help_text='ConferenceNavigationItem__is_visible__help', verbose_name='ConferenceNavigationItem__is_visible')),
                ('index', models.IntegerField(help_text='ConferenceNavigationItem__index__help', verbose_name='ConferenceNavigationItem__index')),
                ('icon', models.CharField(blank=True, help_text='ConferenceNavigationItem__icon__help', max_length=50, null=True, verbose_name='ConferenceNavigationItem__icon')),
                ('label', models.CharField(help_text='ConferenceNavigationItem__label__help', max_length=50, verbose_name='ConferenceNavigationItem__label')),
                ('label_de', models.CharField(help_text='ConferenceNavigationItem__label__help', max_length=50, null=True, verbose_name='ConferenceNavigationItem__label')),
                ('label_en', models.CharField(help_text='ConferenceNavigationItem__label__help', max_length=50, null=True, verbose_name='ConferenceNavigationItem__label')),
                ('title', models.CharField(help_text='ConferenceNavigationItem__title__help', max_length=200, verbose_name='ConferenceNavigationItem__title')),
                ('title_de', models.CharField(help_text='ConferenceNavigationItem__title__help', max_length=200, null=True, verbose_name='ConferenceNavigationItem__title')),
                ('title_en', models.CharField(help_text='ConferenceNavigationItem__title__help', max_length=200, null=True, verbose_name='ConferenceNavigationItem__title')),
                ('url', models.CharField(blank=True, help_text='ConferenceNavigationItem__url__help', max_length=255, validators=[validate_conferencenavigationitem_url], verbose_name='ConferenceNavigationItem__url')),
                ('conference', core.fields.ConferenceReference(help_text='Conference__reference_help', on_delete=django.db.models.deletion.CASCADE, related_name='nav_items', to='core.conference', verbose_name='Conference__reference')),
                ('parent', models.ForeignKey(blank=True, help_text='ConferenceNavigationItem__parent__help', null=True, on_delete=django.db.models.deletion.CASCADE, related_name='children', to='core.conferencenavigationitem', verbose_name='ConferenceNavigationItem__parent')),
            ],
            options={
                'verbose_name': 'ConferenceNavigationItem',
                'verbose_name_plural': 'ConferenceNavigationItems',
            },
        ),

        migrations.RunPython(add_example_data, migrations.RunPython.noop, elidable=True),
    ]
